<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <style>
    .container {
        position: relative;
    }

    .top-left {
    position: absolute;
    top: 20px;
    left: 40px;
    color: white;
    font-size: 35px;
    font-family: "Times New Roman", Times, serif;

    }

  <meta name="viewport" content="width=device-width, initial-scale=1">
<style>
body {
    font-family: 'Lato', sans-serif;
}

.overlay {
    height: 100%;
    width: 0;
    position: fixed;
    z-index: 1;
    top: 0;
    left: 0;
    background-color: rgb(0,0,0);
    background-color: rgba(0,0,0, 0.9);
    overflow-x: hidden;
    transition: 0.5s;
}

.overlay-content {
    position: relative;
    top: 25%;
    width: 100%;
    text-align: center;
    margin-top: 30px;
}

.overlay a {
    padding: 8px;
    text-decoration: none;
    font-size: 36px;
    color: #818181;
    display: block;
    transition: 0.3s;
}

.overlay a:hover, .overlay a:focus {
    color: #f1f1f1;
}

.overlay .closebtn {
    position: absolute;
    top: 20px;
    right: 45px;
    font-size: 60px;
}

@media screen and (max-height: 450px) {
  .overlay a {font-size: 20px}
  .overlay .closebtn {
    font-size: 40px;
    top: 15px;
    right: 35px;
  }
}


    </style>

    <title>Supply Chain Optimization</title>
    <link rel="stylesheet" href="css/bootstrap.min.css"/>
    <link rel="stylesheet" href="css/jquery-ui.min.css"/>
    <link rel="stylesheet" href="css/bank.css"/>
</head>

<body>
<!-- Container -->
<div class="container">
    <img src="static/logo.jpg" alt="Cool picture" style="width:100%;"/>
    <div class="top-left">Supply Chain Optimization</div>
    <!-- The overlay -->
    <div id="myNav" class="overlay">
        <a href="javascript:void(0)" class="closebtn" onclick="closeNav()">&times;</a>
        <div class="overlay-content">
            <a href="/project/dataset">Kaekotid OU</a>
            <a href="#">Company 2</a>
            <a href="#">Company 3</a>
            <a href="#">Company 4</a>
        </div>
    </div>

    <h2>Company list</h2>
    <p>Click on the element below to open the your company data.</p>
    <span style="font-size:30px;cursor:pointer" onclick="openNav()">&#9776; open</span>


</div>


<script src="js/jquery.min.js"></script>
<script src="js/jquery-ui.min.js"></script>
<script src="js/bootstrap.min.js"></script>

<script>

        $(document).ready(
            function() {
            initUIControls();
                // kutsun välja resti teenuse funktsiooni
                giveMeAllCustomers();
                coordinateResult();
            }
        );
        function initUIControls() {
            $('#birthday').datepicker(
              {
                dateFormat: 'dd.mm.yy',
                showButtonPanel: true,
                changeMonth: true,
                changeYear: true,
                showOtherMonths: true,
                selectOtherMonths: true,
                yearRange: "-300:+0"
              }

            );
        }
        function giveMeAllCustomers() {
            $.ajax(
                {
                    method: "GET",
                    url: "/project/customerData/list",
                    dataType: "json",
                    contentType: "application/json",
                    complete: function (response) {
                        $('#customer_list').empty();
                        var customers = response.responseJSON;
                        for (var i = 0; i < customers.length; i++) {
                            var row = "<tr>";
                            row = row + "<td>" + customers[i].id + "</td>";
                            row = row + "<td>" + customers[i].city + "</td>";
                            row = row + "<td>" + customers[i].country + "</td>";
                            row = row + "<td>" + customers[i].quantity + "</td>";
                            row = row + "<td>" + customers[i].lon + "</td>";
                            row = row + "<td>" + customers[i].lat + "</td>";
                            row = row + "<td>";
                            row = row + "</td>";
                            row = row + '<td><button class="btn btn-sm" onClick="prepareCustomer(' + customers[i].id + ');">Edit</button>&nbsp;'
                                + '<button class="btn btn-sm btn-danger" onClick="deleteCustomer(' + customers[i].id + ');">Delete</button></td>';
                            row = row + "</tr>";
                            $('#customer_list').append(row);
                        }
                    }
                }
            );
        }

        function prepareCustomer(customerId) {
        $.ajax(
        {
            method: "GET",
            url: "/project/customerData/get/" + customerId,
            dataType: "json",
            contentType: "application/json",
            complete: function (response) {
                var customerData = response. responseJSON;
                $('#id').val(customerData.id);
                $('#city').val(customerData.city);
                $('#country').val(customerData.country);
                $('#quantity').val(customerData.quantity);
                $('#lon').val(customerData.lon);
                $('#lat').val(customerData.lat);
                $('#customer_modal').modal('show');
            }
        }
      );
   }

   function coordinateResult() {
   $.ajax(
        {
        method: "GET",
        url: "/project/customerData/coordinates/",
        dataType: "json",
        contentType: "application/json",
        complete: function (response) {
             var coordinates = response. responseJSON;
              $('#weightedAverageLongitude').html(coordinates.weightedAverageLongitude);
              $('#weightedAverageLatitude').html(coordinates.weightedAverageLatitude);

            }
        }
      );
   }

   function prepareCustomerAdd() {
       $('#id').val(0);
       $('#city').val("");
       $('#country').val("");
       $('#quantity').val("");
       $('#lon').val("");
       $('#lat').val("");
       $('#customer_modal').modal('show');

   }

   function saveCustomer(){
        var url = "";
        if ($('#id').val() > 0) {
            url = "/project/customerData/save";

        } else {
            url = "/project/customerData/add";

        }
        $.ajax(
            {
                method: "POST",
                url: url,
                dataType: "json",
                contentType: "application/json",
                data: JSON.stringify(getData($('form[name=customerForm]').serializeArray())),
                complete: function (response) {
                    giveMeAllCustomers();
                }
            }
        );



   }

   function getData(customerData) {
       var result = {};
       $.map(data, function(n) {
           result[n['name']] = n['value'];
       });

       return result;

   }

   function deleteCustomer(customerId) {
      if (confirm("Are you sure, mate?")) {
          $.ajax(
              {
                   method: "POST",
                   url: "/project/customerData/delete/" + customerId,
                   dataType: "json",
                   contentType: "application/json",
                   complete: function (response) {
                       giveMeAllCustomers();


                   }
              }

          );
      }
   }

function openNav() {
  document.getElementById("myNav").style.width = "100%";
}

function closeNav() {
  document.getElementById("myNav").style.width = "0%";
}




</script>

</body>

</html>